Returns whether the session has been marked as dirty

- « MongoDB\Driver\Session::getTransactionState

- MongoDB\Driver\Session::isInTransaction »

- PHP Manual
- MongoDB\Driver\Session
- Returns whether the session has been marked as dirty

# MongoDB\Driver\Session::isDirty

(mongodb >=1.13.0)

MongoDB\Driver\Session::isDirty — Returns whether the session has been marked as dirty

### Description

final public MongoDB\Driver\Session::isDirty(): bool

Returns whether the session has been marked as dirty (i.e. it has been used with a command that encountered a network error).

### Parameters

This function has no parameters.

### Return Values

Returns whether the session has been marked as dirty.

### Errors/Exceptions

- Throws MongoDB\Driver\Exception\InvalidArgumentException on argument parsing errors.